System.Web 2.0.0.0 System.Configuration.ConfigurationElement

The class provides a way to programmatically create, access, and modify groups of properties added to the group subsection of the profile section of a configuration file.

The profile section of the configuration file specifies a schema for user profiles. At run time, the ASP.NET compilation system uses the information specified in the profile section to generate a class called ProfileCommon, which is derived from . The ProfileCommon class definition is based on the properties defined in the properties subsection of the profile section of the configuration file. An instance of this class is created for each user profile, and you can access the individual profile values in your code through the property. For more information about the profile features added to vstecasplong, see ASP.NET Profile Properties Overview.

Provides programmatic access to the group subsection of the profiles configuration file section.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  Initializes a new instance of the class using default settings.

  The name of the new group.
  2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. A object to compare to the current object. 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("name", IsRequired=true, IsKey=true)
  System.String To be added.

  The group name must be unique within a collection; otherwise, an exception is raised when the configuration file is saved.

  Gets or sets name of the group of objects this object contains.

  2.0.0.0
- Property
  2.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets the properties collection for the object.

- Property
  System.Configuration.ConfigurationProperty("", Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Web.Configuration.ProfilePropertySettingsCollection To be added. To be added.

  Gets the collection of profile property settings this object contains.

  2.0.0.0